Wallet policies · Access checks
Boya API
Bills · Manage
Bills · Payments
Bills · Approval workflows
Bills · Budgets & setup
Bills · Attachments
payments
approvals
fx
Expenses · Retrieve
Expenses · Review & approvals
Expenses · Reports
Expenses · Exports
Cards · Manage
Cards · Controls
Cards · Single-use
Cards · Physical cards
Cards · Authorization
subscriptions
tags
transactions
accounts
categories
taxes
vendors
customers
employees
teams
Investments · Portfolio & accounts
Investments · Fund movements
Investments · Access & permissions
business-policies
Wallet policies · Policies
Wallet policies · Permissions
Wallet policies · Audit
roles
audit-trail
🔒 Private label — contact sales. Requires a private-label entitlement on your API client.
Check if employee has permission on wallet
Security
oauth2ClientCredentials(Required scopes: wallet-policies:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/wallet-policies/check-access
- Productionhttps://api.boyahq.com/v2/wallet-policies/check-access
- Sandboxhttps://sandbox.api.boyahq.com/v2/wallet-policies/check-access
curl -i -X POST \
https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/check-access \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-d '{
"employee_id": "string",
"wallet_id": "string",
"permission": "initiate-transfer"
}'Response
{ "allowed": true, "policy": { "_id": "string", "subject_type": "EMPLOYEE", "employee_id": {}, "business_id": "string", "external_ref": "string", "wallet_id": "string", "permissions": [ … ], "limits": { … }, "thresholds": { … }, "restrictions": { … }, "status": "ACTIVE", "valid_from": "string", "valid_until": "string", "granted_by": {}, "revoked_by": "string", "revoked_at": "string", "revoke_reason": "string", "label": "string", "notes": "string", "createdAt": "string", "updatedAt": "string" }, "reason": "OK" }